LRINT(3) | Library Functions Manual | LRINT(3)

# NAME

`llrint`, `llrintf`, `lrint`, `lrintf` —
convert to integer

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

long long
`llrint`(double x);

long long
`llrintf`(float x);

long
`lrint`(double x);

long
`lrintf`(float x);

# DESCRIPTION

The `lrint`() function returns the integer nearest to its argument x according to the current rounding mode.

The `llrint`(), `llrintf`(), and `lrintf`() functions differ from `lrint`() only in their input and output types.

# RETURN VALUES

The `llrint`, `llrintf`, `lrint`, and `lrintf` functions return the integer nearest to their argument x according to the current rounding mode. If the rounded result is too large to be represented as a long long or long value, respectively, the return value is undefined.

# SEE ALSO

math(3), rint(3), round(3)

# STANDARDS

The `llrint`(), `llrintf`(), `lrint`(), and `lrintf`() functions conform to ISO/IEC 9899:1999 (“ISO C99”).

January 11, 2005 | NetBSD 9.0